## lomiri-indicator-network 1.0.0~git20220718.2ca3619

=== CMakeLists.txt ===
project(lomiri-indicator-network C CXX)
cmake_minimum_required(VERSION 3.13)

string(TOLOWER "${CMAKE_BUILD_TYPE}" build_type_lower)

if("${build_type_lower}" STREQUAL debug)
  set(TRACE_DEFAULT TRUE)
else()
  set(TRACE_DEFAULT FALSE)
endif()

option(trace_messages "Print debug trace messages." ${TRACE_DEFAULT})
option(REMOTE_BUILD "Remote build (skip docs, translations, tests)." FALSE)
option(ENABLE_TESTS "Enable tests" TRUE)
option(ENABLE_COVERAGE "Generate Coverage Reports" TRUE)

if(${trace_messages})
  add_definitions(-DINDICATOR_NETWORK_TRACE_MESSAGES)
endif()

add_definitions(
  -DQT_NO_KEYWORDS=1
)

find_package(PkgConfig REQUIRED)
include(GNUInstallDirs)
find_package(GSettings)

set(PROJECT_VERSION "16.10.0")
set(PACKAGE ${CMAKE_PROJECT_NAME})
set(GETTEXT_PACKAGE lomiri-indicator-network)
add_definitions (
    -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
    -DLOCALE_DIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
)

# Workaround for libexecdir on debian
if (EXISTS "/etc/debian_version")
  set(CMAKE_INSTALL_LIBEXECDIR ${CMAKE_INSTALL_LIBDIR})
  set(CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR}")
endif()

set(DATA_DIR "${CMAKE_SOURCE_DIR}/data")

set(GLIB_REQUIRED_VERSION 2.26)

pkg_check_modules(
  GLIB REQUIRED
  glib-2.0>=${GLIB_REQUIRED_VERSION}
  gio-2.0>=${GLIB_REQUIRED_VERSION}
)
include_directories(${GLIB_INCLUDE_DIRS})

pkg_check_modules(
  LOMIRI_API REQUIRED
  liblomiri-api
)
include_directories(${LOMIRI_API_INCLUDE_DIRS})

set(OFONO_REQUIRED_VERSION 1.12)
pkg_check_modules(
  OFONO REQUIRED
  ofono>=${OFONO_REQUIRED_VERSION}
)
include_directories(${OFONO_INCLUDE_DIRS})

pkg_check_modules(
  LIBSECRET REQUIRED
  libsecret-1
)
include_directories(${LIBSECRET_INCLUDE_DIRS})

find_package(Qt5Core REQUIRED)
include_directories(${Qt5Core_INCLUDE_DIRS})

find_package(Qt5DBus COMPONENTS Qt5DBusMacros REQUIRED)
include_directories(${Qt5DBus_INCLUDE_DIRS})

pkg_check_modules(NM REQUIRED libnm REQUIRED)
include_directories(${NM_INCLUDE_DIRS})

pkg_check_modules(URL_DISPATCHER REQUIRED lomiri-url-dispatcher)
include_directories(${URL_DISPATCHER_INCLUDE_DIRS})

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${CMAKE_BINARY_DIR})

set(COMMON_FLAGS "-Wall -Wextra -Wpedantic -fno-permissive -fPIC -fvisibility=hidden -pthread")

set(CMAKE_C_STANDARD 11)
set(CMAKE_CXX_STANDARD 14)
if(CMAKE_COMPILER_IS_GNUCC)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${COMMON_FLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${COMMON_FLAGS}")
endif()

set(CONNECTIVITY_QT_VERSION_MAJOR 1)
set(CONNECTIVITY_QT_VERSION_MINOR 0)
set(CONNECTIVITY_QT_LIB_TARGET lomiri-connectivity-qt${CONNECTIVITY_QT_VERSION_MAJOR})

add_subdirectory(data)
add_subdirectory(src)

if(NOT REMOTE_BUILD)

add_subdirectory(po)
add_subdirectory(doc)

if(ENABLE_TESTS)
enable_testing()
add_subdirectory(tests)

ADD_CUSTOM_TARGET(
        check
        ${CMAKE_CTEST_COMMAND} --force-new-ctest-process --output-on-failure
)

if(ENABLE_COVERAGE)
  find_package(CoverageReport)
  enable_coverage_report(
    TARGETS
      lomiri-indicator-network-service
      menumodel_cpp
      notify_cpp
      qdbus-stubs
      i-n-sniffer
      url_dispatcher_cpp
    TESTS
      unit-tests
      integration-tests
      secret-agent-test-bin
    FILTER
      ${CMAKE_SOURCE_DIR}/tests/*
      ${CMAKE_BINARY_DIR}/*
  )
endif()

endif()

endif()

add_subdirectory(scripts)

=== data/CMakeLists.txt ===

###########################
# Lomiri-indicator-network service
###########################

set(
  INDICATOR_DIR
  "${CMAKE_INSTALL_DATADIR}/unity/indicators"
  CACHE FILEPATH "Indicator directory"
)

install(
  FILES "com.lomiri.indicator.network"
  DESTINATION "${INDICATOR_DIR}"
)

###########################
# Lomiri-indicator-network upstart job
###########################

set(
  NETWORK_SERVICE
  "${CMAKE_INSTALL_FULL_LIBEXECDIR}/lomiri-indicator-network/lomiri-indicator-network-service"
)

configure_file (
  lomiri-indicator-network.conf.in
  lomiri-indicator-network.conf
  @ONLY
)

install (
  FILES "${CMAKE_CURRENT_BINARY_DIR}/lomiri-indicator-network.conf"
  DESTINATION "${CMAKE_INSTALL_DATADIR}/upstart/sessions/"
)

###########################
# lomiri-indicator-network-secret-agent upstart job
###########################

set(
  AGENT_SERVICE
  "${CMAKE_INSTALL_FULL_LIBEXECDIR}/lomiri-indicator-network/lomiri-indicator-network-secret-agent"
)

configure_file (
  lomiri-indicator-network-secret-agent.conf.in
  lomiri-indicator-network-secret-agent.conf
  @ONLY
)

install (
  FILES "${CMAKE_CURRENT_BINARY_DIR}/lomiri-indicator-network-secret-agent.conf"
  DESTINATION "${CMAKE_INSTALL_DATADIR}/upstart/sessions/"
)

###########################
# Lomiri-indicator-network systemd jobs
###########################

# Uncomment when we drop Vivid
# pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
set (SYSTEMD_USER_DIR "/usr/lib/systemd/user")
message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

configure_file (
  lomiri-indicator-network-secret-agent.service.in
  lomiri-indicator-network-secret-agent.service
  @ONLY
)

configure_file (
  lomiri-indicator-network.service.in
  lomiri-indicator-network.service
  @ONLY
)

install (
  FILES "${CMAKE_CURRENT_BINARY_DIR}/lomiri-indicator-network-secret-agent.service"
  DESTINATION ${SYSTEMD_USER_DIR}
)

install (
  FILES "${CMAKE_CURRENT_BINARY_DIR}/lomiri-indicator-network.service"
  DESTINATION ${SYSTEMD_USER_DIR}
)

###########################
# Lomiri-indicator-network systemd Upstart overrides
###########################

set (SYSTEMD_UPSTART_DIR "${CMAKE_INSTALL_FULL_DATADIR}/upstart/systemd-session/upstart")
install (
  FILES lomiri-indicator-network.override lomiri-indicator-network-secret-agent.override
  DESTINATION ${SYSTEMD_UPSTART_DIR}
)

###########################
# GSettings
###########################

add_schema ("com.lomiri.indicator.network.gschema.xml")

###########################
# XDG Autostart File
###########################

# where to install
set (XDG_AUTOSTART_DIR "/etc/xdg/autostart")
message (STATUS "${XDG_AUTOSTART_DIR} is the DBus Service File install dir")

set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")

# install it
install (FILES "${XDG_AUTOSTART_FILE}"
         DESTINATION "${XDG_AUTOSTART_DIR}")

###########################
# Upstart XDG Autostart Override
###########################

# where to install
set (UPSTART_XDG_AUTOSTART_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/upstart/xdg/autostart")
message (STATUS "${UPSTART_XDG_AUTOSTART_DIR} is the Upstart XDG autostart override dir")

set (UPSTART_XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.upstart.desktop")
set (UPSTART_XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${UPSTART_XDG_AUTOSTART_NAME}")
set (UPSTART_XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${UPSTART_XDG_AUTOSTART_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${UPSTART_XDG_AUTOSTART_FILE_IN}" "${UPSTART_XDG_AUTOSTART_FILE}")

# install it
install (FILES "${UPSTART_XDG_AUTOSTART_FILE}"
         DESTINATION "${UPSTART_XDG_AUTOSTART_DIR}"
         RENAME "${XDG_AUTOSTART_NAME}")

=== src/CMakeLists.txt ===

add_subdirectory(connectivity-api)

add_subdirectory(agent)
add_subdirectory(indicator)
add_subdirectory(menumodel-cpp)
add_subdirectory(qdbus-stubs)
add_subdirectory(qpowerd)
add_subdirectory(notify-cpp)
add_subdirectory(url-dispatcher-cpp)
add_subdirectory(util)

=== src/indicator/CMakeLists.txt ===

pkg_check_modules(
    QOFONO REQUIRED
    qofono-qt5
)
include_directories(${QOFONO_INCLUDE_DIRS})

include_directories("${CMAKE_SOURCE_DIR}/src")
include_directories("${CMAKE_BINARY_DIR}/src/qdbus-stubs")
include_directories("${CMAKE_SOURCE_DIR}/src/qdbus-stubs")

# list these here to have them visible in Qt Creator
file(
        GLOB_RECURSE NETWORK_SERVICE_HEADERS
        RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
        "${CMAKE_CURRENT_SOURCE_DIR}/*.h"
)
add_custom_target(QtCreatorHeaderHack SOURCES ${NETWORK_SERVICE_HEADERS})

set(NETWORK_SERVICE_SOURCES
    ${NETWORK_SERVICE_HEADERS}

    nmofono/connectivity-service-settings.cpp
    nmofono/hotspot-manager.cpp
    nmofono/kill-switch.cpp
    nmofono/manager.cpp
    nmofono/manager-impl.cpp
    nmofono/connection/active-connection.cpp
    nmofono/connection/active-connection-manager.cpp
    nmofono/connection/active-vpn-connection.cpp
    nmofono/wifi/access-point.cpp
    nmofono/wifi/access-point-impl.cpp
    nmofono/wifi/grouped-access-point.cpp
    nmofono/wifi/wifi-link-impl.cpp
    nmofono/wwan/modem.cpp
    nmofono/wwan/sim.cpp
    nmofono/wwan/sim-manager.cpp
    nmofono/wwan/qofono-sim-wrapper.cpp
    nmofono/vpn/openvpn-connection.cpp
    nmofono/vpn/pptp-connection.cpp
    nmofono/vpn/vpn-connection.cpp
    nmofono/vpn/vpn-manager.cpp

    factory.cpp
    indicator-menu.cpp
    icons.cpp
    menu-builder.cpp
    sim-unlock-dialog.cpp
    root-state.cpp
    vpn-status-notifier.cpp
    sections/quick-access-section.cpp
    sections/wifi-section.cpp
    sections/vpn-section.cpp
    sections/wwan-section.cpp

    connectivity-service/connectivity-service.cpp
    connectivity-service/dbus-openvpn-connection.cpp
    connectivity-service/dbus-pptp-connection.cpp
    connectivity-service/dbus-vpn-connection.cpp
    connectivity-service/dbus-modem.cpp
    connectivity-service/dbus-sim.cpp

    menuitems/access-point-item.cpp
    menuitems/switch-item.cpp
    menuitems/text-item.cpp
    menuitems/vpn-item.cpp
    menuitems/wifi-link-item.cpp
    menuitems/wwan-link-item.cpp
    menuitems/modem-info-item.cpp
)

qt5_add_dbus_adaptor(
    NETWORK_SERVICE_SOURCES
    "${DATA_DIR}/com.lomiri.connectivity1.NetworkingStatus.xml"
    connectivity-service/connectivity-service.h
    connectivity_service::ConnectivityService
    NetworkingStatusAdaptor
)

qt5_add_dbus_adaptor(
    NETWORK_SERVICE_SOURCES
    "${DATA_DIR}/com.lomiri.connectivity1.Modem.xml"
    connectivity-service/dbus-modem.h
    connectivity_service::DBusModem
    ModemAdaptor
)

qt5_add_dbus_adaptor(
    NETWORK_SERVICE_SOURCES
    "${DATA_DIR}/com.lomiri.connectivity1.Sim.xml"
    connectivity-service/dbus-sim.h
    connectivity_service::DBusSim
    SimAdaptor
)

qt5_add_dbus_adaptor(
    NETWORK_SERVICE_SOURCES
    "${DATA_DIR}/com.lomiri.connectivity1.Private.xml"
    connectivity-service/connectivity-service.h
    connectivity_service::PrivateService
    NetworkingStatusPrivateAdaptor
)

qt5_add_dbus_adaptor(
    NETWORK_SERVICE_SOURCES
    "${DATA_DIR}/com.lomiri.connectivity1.vpn.VpnConnection.xml"
    connectivity-service/dbus-vpn-connection.h
    connectivity_service::DBusVpnConnection
    VpnConnectionAdaptor
)

qt5_add_dbus_adaptor(
    NETWORK_SERVICE_SOURCES
    "${DATA_DIR}/com.lomiri.connectivity1.vpn.VpnConnection.OpenVpn.xml"
    connectivity-service/dbus-openvpn-connection.h
    connectivity_service::DBusOpenvpnConnection
    OpenVpnAdaptor
)

qt5_add_dbus_adaptor(
    NETWORK_SERVICE_SOURCES
    "${DATA_DIR}/com.lomiri.connectivity1.vpn.VpnConnection.Pptp.xml"
    connectivity-service/dbus-pptp-connection.h
    connectivity_service::DBusPptpConnection
    PptpAdaptor
)

add_library(
  lomiri-indicator-network-service-static
  STATIC
  ${NETWORK_SERVICE_SOURCES}
)

target_link_libraries(
    lomiri-indicator-network-service-static
    menumodel_cpp
    notify_cpp
    url_dispatcher_cpp
    qdbus-stubs
    qpowerd
    util
    ${GLIB_LDFLAGS}
    ${QOFONO_LDFLAGS}
    Qt5::Core
    Qt5::DBus
)

###########################
# Executables
###########################

add_executable(
  lomiri-indicator-network-service
  main.cpp
)

target_link_libraries(
    lomiri-indicator-network-service
    lomiri-indicator-network-service-static
    Qt5::Core
    Qt5::DBus
)

###########################
# Installation
###########################

install(
  TARGETS
    lomiri-indicator-network-service
  RUNTIME DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}/lomiri-indicator-network/"
)

=== src/qdbus-stubs/CMakeLists.txt ===
# Copyright © 2015 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License version 3,
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authors:
#     Marcus Tomlinson <marcus.tomlinson@canonical.com>

set_source_files_properties(
    "${DATA_DIR}/nm-device.xml"
    "${DATA_DIR}/nm-device-wifi.xml"
    "${DATA_DIR}/nm-access-point.xml"
    "${DATA_DIR}/nm-active-connection.xml"
    "${DATA_DIR}/nm-agent-manager.xml"
    "${DATA_DIR}/nm-vpn-connection.xml"
    "${DATA_DIR}/org.freedesktop.URfkill.xml"
    "${DATA_DIR}/org.freedesktop.URfkill.Device.xml"
    "${DATA_DIR}/org.freedesktop.URfkill.Killswitch.xml"
    "${DATA_DIR}/com.canonical.powerd.xml"
    PROPERTIES
    NO_NAMESPACE YES
)

set_source_files_properties(
    "${DATA_DIR}/nm-settings.xml"
    "${DATA_DIR}/nm-settings-connection.xml"
    "${DATA_DIR}/nm-manager.xml"
    "${DATA_DIR}/org.freedesktop.Notifications.xml"
    PROPERTIES
    NO_NAMESPACE YES
    INCLUDE "dbus-types.h"
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/org.freedesktop.URfkill.xml"
    URfkillInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/org.freedesktop.URfkill.Device.xml"
    URfkillDeviceInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/org.freedesktop.URfkill.Killswitch.xml"
    URfkillKillswitchInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/nm-manager.xml"
    NetworkManagerInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/nm-device.xml"
    NetworkManagerDeviceInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/nm-device-wifi.xml"
    NetworkManagerDeviceWirelessInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/nm-access-point.xml"
    NetworkManagerAccessPointInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/nm-active-connection.xml"
    NetworkManagerActiveConnectionInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/nm-vpn-connection.xml"
    NetworkManagerVpnConnectionInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/nm-settings-connection.xml"
    NetworkManagerSettingsConnectionInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/nm-agent-manager.xml"
    AgentManagerInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/nm-settings-connection.xml"
    NetworkManagerSettingsConnectionInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/nm-settings.xml"
    NetworkManagerSettingsInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/org.freedesktop.Notifications.xml"
    NotificationsInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_BACKEND_SRC
    "${DATA_DIR}/com.canonical.powerd.xml"
    PowerdInterface
)

add_library(
    qdbus-stubs
    STATIC
    ${CONNECTIVITY_BACKEND_SRC}
)

target_link_libraries(
    qdbus-stubs
    Qt5::DBus
)

=== tests/integration/CMakeLists.txt ===

add_definitions(-DNETWORK_SERVICE_BIN="${CMAKE_BINARY_DIR}/src/indicator/lomiri-indicator-network-service")

include_directories(
    "${CMAKE_SOURCE_DIR}/src/connectivity-api/connectivity-qt"
    "${CMAKE_SOURCE_DIR}/src/qdbus-stubs"
    "${CMAKE_BINARY_DIR}/src/qdbus-stubs"

    # For GObjectDeleter
    "${CMAKE_SOURCE_DIR}/src/menumodel-cpp"
)

set(
    INTEGRATION_TESTS_SRC
    indicator-network-test-base.cpp
    test-indicator.cpp
    test-indicator-vpn.cpp
    test-connectivity-api.cpp
    test-connectivity-api-modem.cpp
    test-connectivity-api-sim.cpp
    test-connectivity-api-vpn.cpp
)

add_executable(
    integration-tests
    ${INTEGRATION_TESTS_SRC}
)

target_link_libraries(
    integration-tests
    Qt5::Core
    Qt5::DBus
    Qt5::Test
)

target_link_libraries(
    integration-tests
    test-utils
    ${CONNECTIVITY_QT_LIB_TARGET}
    ${TEST_DEPENDENCIES_LDFLAGS}
    ${GTEST_LIBRARIES}
    ${GMOCK_LIBRARIES}
    ${GLIB_LDFLAGS}
)

add_test(
    integration-tests
    integration-tests
)

=== debian/changelog ===
lomiri-indicator-network (1.0.0~git20220718.2ca3619-4) unstable; urgency=medium

  * debian/control:
    + In Depends:, switch from obsolete indicator-common to ayatana-indicator-
      common. (Closes: #1021219).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 04 Oct 2022 01:23:57 +0200

lomiri-indicator-network (1.0.0~git20220718.2ca3619-3) unstable; urgency=medium

  * debian/lomiri-indicator-network.install:
    + Fix some installation paths. (Closes: #1021163, #1021164).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Oct 2022 14:45:30 +0200

lomiri-indicator-network (1.0.0~git20220718.2ca3619-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Oct 2022 15:25:36 +0200

lomiri-indicator-network (1.0.0~git20220718.2ca3619-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1015735).
  * debian/control:
    + Switch to debhelper-compat notation and bump DH compat level to version
      13.
    + Update Maintainers: and Uploaders: field for official Debian upload.
    + Change Section: from gnome to misc.
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Adjust Vcs-*: fields for official Debian upload.
    + Remove X-Ubuntu-Use-Langpack: field.
    + Add B-D: pkg-kde-tools.
    + Drop from B-D: qt5-default.
    + Update versioned B-D: python-dbusmock (>= 0.28.4).
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Switch from wrongly architecturized valgrind B-D to valgrind-if-available.
      Attribute systemd B-D with [linux-any].
    + Rework package descriptions.
  * debian/rules:
    + Add get-orig-source target.
    + Drop '--with systemd' and '--parallel'.
    + Move --fail-missing into dh_missing override.
    + Build with pkgkde_symbolshelper.
    + Enable hardening build flags.
    + Remove empty images/ dir.
    + Use NULL variable in dh_auto_configure.
  * debian/docs:
    + Add README.widgets.
  * debian/source/format:
    + Add file, use '3.0 (quilt)'.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/patches:
    + Add 1001_typo-fixes.patch.
    + Add 1002_use-ayatana-indicators-profile-directory.patch.
    + Add 1003_no-abs-paths-in-documentation.patch.
    + Add 1004_fix-Canonical-copyrights.patch.
    + Add 1005_use-libexecdir.patch.
  * debian/lomiri-indicator-network.install:
    + Adjust for patch 1005.
  * debian/{rules,lomiri-indicator-network.install}:
    + Remove upstart files.
  * debian/lomiri-indicator-network.install:
    + Adjust path for INDICATOR_DIR.
  * debian/:
    + Rename shared library bin:pkg.
  * debian/liblomiri-connectivity-qt1-1.symbols:
    + Add .symbols file.
  * debian/copyright:
    + Add auto-generated copyright.in template file.
    + Rewrite copyright attributions file from scratch.
  * debian/lomiri-indicator-network.links:
    + Drop file. Not needed with DH compat level 12 or higher anymore.
  * debian/liblomiri-connectivity-qt1-dev.examples:
    + Add file. Ship examples in dev:pkg.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 21 Jul 2022 02:12:46 +0200

indicator-network (0.8.1+ubports1) xenial; urgency=medium

  * Update Jenkinsfile

 -- Dan Chapman <dan@ubports.com>  Thu, 11 Jan 2018 11:57:17 +0000

indicator-network (0.8.1+ubports) vivid; urgency=medium

  * Imported to UBports

 -- UBports auto importer <infra@ubports.com>  Sun, 23 Jul 2017 17:34:03 +0200

indicator-network (0.8.0+17.04.20161021-0ubuntu1) zesty; urgency=medium

  [ Martin Pitt, Ted Gould ]
  * Add systemd user unit

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 21 Oct 2016 10:16:47 +0000

indicator-network (0.8.0+16.10.20161013-0ubuntu1) yakkety; urgency=medium

  [ Iain Lane ]
  * data/indicator-network-secret-agent.conf.in: Only start on Unity 8.
    We only start the indicator there; do the same for the secret-agent
    too. This works around a crash on i386 (by not running the code) -
    the crash is still pending investigation. (LP: #1632382)

 -- Antti Kaijanmäki <antti@kaijanmaki.net>  Thu, 13 Oct 2016 11:52:41 +0000

indicator-network (0.8.0+16.10.20160930.5-0ubuntu1) yakkety; urgency=medium

  [ Antti Kaijanmäki, Charles Kerr ]
  * Don't require urfkill, and handle flight mode gracefully when not
    present

  [ Pete Woods ]
  * Try and make the agent unit tests more reliable

 -- Antti Kaijanmäki <antti@kaijanmaki.net>  Fri, 30 Sep 2016 17:08:25 +0000

indicator-network (0.8.0+16.10.20160915-0ubuntu1) yakkety; urgency=medium

  * Remove lots of dead code, resources, and change ofono dependency to
    suggested.

 -- Pete Woods <pete.woods@canonical.com>  Thu, 15 Sep 2016 15:57:25 +0000

indicator-network (0.8.0+16.10.20160817.2-0ubuntu1) yakkety; urgency=medium

  [ Antti Kaijanmäki ]
  * Use a timer to set the sim for mobile data if only one sim exists.
    (LP: #1598010)

  [ Pete Woods ]
  * Re-enable tests on all architectures (LP: #1612619)

 -- Pete Woods <pete.woods@canonical.com>  Wed, 17 Aug 2016 11:50:15 +0000

indicator-network (0.8.0+16.10.20160804-0ubuntu1) yakkety; urgency=medium

  [ Antti Kaijanmäki ]
  * Add qttools5-dev-tools to build dependencies to get qdoc.
  * Fix crash when modem becomes ready before it's SIM. (LP: #1607079)

  [ Stephen M. Webb ]
  * Update the DESKTOP_SESSION string used to identify a Unity 8 session
    on Ubuntu desktop. (LP: #1603453)

 -- Antti Kaijanmäki <antti@kaijanmaki.net>  Thu, 04 Aug 2016 12:00:04 +0000

indicator-network (0.8.0+16.10.20160722-0ubuntu1) yakkety; urgency=medium

  * Don't expect to have PreferredLanguages on a SIM.

 -- Antti Kaijanmäki <antti@kaijanmaki.net>  Fri, 22 Jul 2016 13:14:05 +0000

indicator-network (0.8.0+16.10.20160718-0ubuntu1) yakkety; urgency=medium

  * Show no-simcard icon on the panel when SIM card is missing.

 -- Antti Kaijanmäki <antti@kaijanmaki.net>  Mon, 18 Jul 2016 13:12:03 +0000

indicator-network (0.8.0+16.10.20160705.1-0ubuntu1) yakkety; urgency=medium

  [ Pete Woods ]


=== debian/control ===
Source: lomiri-indicator-network
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Marius Gripsgard <marius@ubports.com>,
Build-Depends: cmake,
               cmake-extras (>= 0.4),
               dbus,
               debhelper-compat (= 13),
               doxygen,
               googletest (>= 1.10),
               libgtest-dev,
               graphviz,
               intltool,
               libglib2.0-dev,
               libgmenuharness-dev (>= 0.1.1),
               libqofono-dev,
               libqofono-qt5-0,
               libqtdbusmock1-dev (>= 0.4),
               libqtdbustest1-dev,
               libsecret-1-dev,
               liblomiri-url-dispatcher-dev,
               liblomiri-api-dev,
               libnm-dev,
               ofono-dev,
               pkg-config,
               python3-all:native,
               python3-dbusmock (>= 0.28.4),
               qtbase5-dev,
               qtbase5-dev-tools,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qttools5-dev-tools,
               valgrind-if-available,
               systemd [linux-any],
               pkg-kde-tools,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-indicator-network.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-indicator-network
Homepage: https://gitlab.com/ubports/development/core/lomiri-indicator-network

Package: lomiri-indicator-network
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ayatana-indicator-common,
         network-manager,
         network-manager-openvpn,
         network-manager-pptp,
         suru-icon-theme,
Suggests: ofono,
          urfkill
Conflicts: chewie,
           indicators-client-plugin-network,
           indicator-network-autopilot,
           indicator-network-tools,
Replaces: indicator-network-autopilot,
          indicator-network-tools,
Provides: indicator-network-autopilot,
          indicator-network-tools,
Description: Systems settings menu service - Network indicator
 The Lomiri-indicator-network service is responsible for exporting the system
 settings menu through D-Bus.
 .
 This indicator is basically an Ayatana system indicator, but it has been
 specifically been designed for the Lomiri Operating Environment. If you
 try using it with another desktop environment, note that you are on
 unexplored territory.

Package: liblomiri-connectivity-qt1-1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: liblomiri-connectivity-qt1,
Replaces: liblomiri-connectivity-qt1,
Recommends: lomiri-indicator-network (>= ${source:Version}),
Description: Lomiri Connectivity Qt API
 Lomiri Connectivity API - Qt bindings.
 .
 This package contains the share library.

Package: liblomiri-connectivity-qt1-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblomiri-connectivity-qt1-1 (= ${binary:Version}),
         qtbase5-dev
Suggests: connectivity-doc,
Description: Lomiri Connectivity Qt API - development files
 Lomiri Connectivity API - Qt bindings.
 .
 This package contains development files to develop against the Qt
 library.

Package: qml-module-lomiri-connectivity
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblomiri-connectivity-qt1-1 (= ${binary:Version}),
Description: Lomiri Connectivity API QML Components
 Lomiri Connectivity API - QML bindings.
 .
 This package contains the qtdeclarative bindings for Lomiri connectivity
 API.

Package: lomiri-connectivity-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri Connectivity API - documentation
 Lomiri Connectivity API.
 .
 This package contains developer documentation.

## lomiri-indicator-network 1.0.0~git20221216.698b753

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 option(REMOTE_BUILD "Remote build (skip docs, translations, tests)." FALSE)
 option(ENABLE_TESTS "Enable tests" TRUE)
 option(ENABLE_COVERAGE "Generate Coverage Reports" TRUE)
+option(ENABLE_UBUNTU_COMPAT "Enable Ubuntu.Connectivity QML compatibility layer" OFF)
 
 if(${trace_messages})
   add_definitions(-DINDICATOR_NETWORK_TRACE_MESSAGES)
@@ -33,12 +34,6 @@
     -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
     -DLOCALE_DIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
 )
-
-# Workaround for libexecdir on debian
-if (EXISTS "/etc/debian_version")
-  set(CMAKE_INSTALL_LIBEXECDIR ${CMAKE_INSTALL_LIBDIR})
-  set(CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR}")
-endif()
 
 set(DATA_DIR "${CMAKE_SOURCE_DIR}/data")

=== debian/changelog ===
lomiri-indicator-network (1.0.0~git20221216.698b753-1) unstable; urgency=medium

  * New Git snapshot. (Closes: #1026817).
  * debian/patches:
    + Drop patches 1001, 1004 and 1005. All applied upstream.
  * debian/liblomiri-connectivity-qt1-1.symbols:
    + Update .symbols file.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/lomiri-connectivity-doc.doc-base:
    + Add file.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Jan 2023 11:44:05 +0100

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=1.0.0~git%cd.%h" \
https://gitlab.com/ubports/development/core/lomiri-indicator-network \
HEAD

## lomiri-indicator-network 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
-project(lomiri-indicator-network C CXX)
 cmake_minimum_required(VERSION 3.13)
+
+project(lomiri-indicator-network VERSION 1.0.0 LANGUAGES C CXX)
 
 string(TOLOWER "${CMAKE_BUILD_TYPE}" build_type_lower)

=== data/CMakeLists.txt ===

###########################
# Lomiri-indicator-network service
###########################

set(
  INDICATOR_DIR
  "${CMAKE_INSTALL_DATADIR}/unity/indicators"
  CACHE FILEPATH "Indicator directory"
)

install(
  FILES "com.lomiri.indicator.network"
  DESTINATION "${INDICATOR_DIR}"
)

###########################
# Lomiri-indicator-network systemd jobs
###########################

# Uncomment when we drop Vivid
# pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
set (SYSTEMD_USER_DIR "/usr/lib/systemd/user")
message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

set(
  AGENT_SERVICE
  "${CMAKE_INSTALL_FULL_LIBEXECDIR}/lomiri-indicator-network/lomiri-indicator-network-secret-agent"
)

configure_file (
  lomiri-indicator-network-secret-agent.service.in
  lomiri-indicator-network-secret-agent.service
  @ONLY
)

set(
  NETWORK_SERVICE
  "${CMAKE_INSTALL_FULL_LIBEXECDIR}/lomiri-indicator-network/lomiri-indicator-network-service"
)

configure_file (
  lomiri-indicator-network.service.in
  lomiri-indicator-network.service
  @ONLY
)

install (
  FILES "${CMAKE_CURRENT_BINARY_DIR}/lomiri-indicator-network-secret-agent.service"
  DESTINATION ${SYSTEMD_USER_DIR}
)

install (
  FILES "${CMAKE_CURRENT_BINARY_DIR}/lomiri-indicator-network.service"
  DESTINATION ${SYSTEMD_USER_DIR}
)

###########################
# GSettings
###########################

add_schema ("com.lomiri.indicator.network.gschema.xml")

###########################
# XDG Autostart File
###########################

# where to install
set (XDG_AUTOSTART_DIR "/etc/xdg/autostart")
message (STATUS "${XDG_AUTOSTART_DIR} is the DBus Service File install dir")

set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")

# install it
install (FILES "${XDG_AUTOSTART_FILE}"
         DESTINATION "${XDG_AUTOSTART_DIR}")

=== doc/CMakeLists.txt ===
set(INSTALL_DOCDIR ${CMAKE_INSTALL_DATAROOTDIR}/doc/lomiri-connectivity-doc)

option(BUILD_DOC "Build documentation by default" TRUE)
option(PRIVATE_DOCS "Build private documentation" FALSE)

add_subdirectory(qt)

install(
    DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/dbus/
    DESTINATION ${INSTALL_DOCDIR}/dbus/
)

=== src/agent/CMakeLists.txt ===

include_directories("${CMAKE_SOURCE_DIR}/src")
include_directories("${CMAKE_BINARY_DIR}/src/qdbus-stubs")
include_directories("${CMAKE_SOURCE_DIR}/src/qdbus-stubs")

set(AGENT_SOURCES
  CredentialStore.cpp
  KeyringCredentialStore.cpp
  SecretAgent.cpp
  SecretRequest.cpp
  PasswordMenu.cpp
)

qt5_add_dbus_adaptor(
    AGENT_SOURCES
    "${DATA_DIR}/nm-secret-agent.xml"
    "agent/SecretAgentInclude.h"
    "agent::SecretAgent"
    SecretAgentAdaptor
)

add_library(
  agent-static
  STATIC
  ${AGENT_SOURCES}
)

target_link_libraries(
    agent-static
    notify_cpp
    util
    Qt5::Core
    Qt5::DBus
    ${LIBSECRET_LDFLAGS}
)

###########################
# Executables
###########################

add_executable(
  lomiri-indicator-network-secret-agent
  agent-main.cpp
)

target_link_libraries(
    lomiri-indicator-network-secret-agent
    agent-static
    Qt5::Core
    Qt5::DBus
)

###########################
# Installation
###########################

install(
  TARGETS
    lomiri-indicator-network-secret-agent
  RUNTIME DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}/lomiri-indicator-network/"
)

=== src/indicator/CMakeLists.txt ===
--- 
+++ 
@@ -125,6 +125,12 @@
     PptpAdaptor
 )
 
+qt5_add_dbus_interface(
+    NETWORK_SERVICE_SOURCES
+    "${DATA_DIR}/org.freedesktop.DBus.Properties.xml"
+    PropertiesInterface
+)
+
 add_library(
   lomiri-indicator-network-service-static
   STATIC
@@ -137,7 +143,7 @@
     notify_cpp
     url_dispatcher_cpp
     qdbus-stubs
-    qpowerd
+    qrepowerd
     util
     ${GLIB_LDFLAGS}
     ${QOFONO_LDFLAGS}

=== src/connectivity-api/connectivity-qt/CMakeLists.txt ===

set(CONNECTIVITY_QT_INCLUDE_DIR
"${CMAKE_INSTALL_FULL_INCLUDEDIR}/connectivity-api/qt${CONNECTIVITY_QT_VERSION_MAJOR}")

install(
  DIRECTORY
    "lomiri"
    "connectivityqt"
  DESTINATION
    "${CONNECTIVITY_QT_INCLUDE_DIR}"
  FILES_MATCHING
    PATTERN "*internal*" EXCLUDE
    PATTERN "*.h"
)


set(SYMBOL_MAP "${DATA_DIR}/lomiri-connectivity-qt.map")

include_directories("${CMAKE_SOURCE_DIR}/src/qdbus-stubs")

set(
    CONNECTIVITY_QT_SRC
    connectivityqt/internal/dbus-property-cache.cpp
    connectivityqt/connectivity.cpp
    connectivityqt/modem.cpp
    connectivityqt/modems-list-model.cpp
    connectivityqt/sim.cpp
    connectivityqt/sims-list-model.cpp
    connectivityqt/openvpn-connection.cpp
    connectivityqt/pptp-connection.cpp
    connectivityqt/vpn-connection.cpp
    connectivityqt/vpn-connections-list-model.cpp
    lomiri/connectivity/networking-status.cpp
)

set_source_files_properties(
    "${DATA_DIR}/org.freedesktop.DBus.Properties.xml"
    "${DATA_DIR}/com.lomiri.connectivity1.NetworkingStatus.xml"
    "${DATA_DIR}/com.lomiri.connectivity1.Private.xml"
    "${DATA_DIR}/com.lomiri.connectivity1.Modem.xml"
    "${DATA_DIR}/com.lomiri.connectivity1.Sim.xml"
    "${DATA_DIR}/com.lomiri.connectivity1.vpn.VpnConnection.xml"
    "${DATA_DIR}/com.lomiri.connectivity1.vpn.VpnConnection.OpenVpn.xml"
    "${DATA_DIR}/com.lomiri.connectivity1.vpn.VpnConnection.Pptp.xml"
    PROPERTIES
    NO_NAMESPACE YES
)

qt5_add_dbus_interface(
    CONNECTIVITY_QT_SRC
    "${DATA_DIR}/com.lomiri.connectivity1.NetworkingStatus.xml"
    NetworkingStatusInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_QT_SRC
    "${DATA_DIR}/com.lomiri.connectivity1.Private.xml"
    NetworkingStatusPrivateInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_QT_SRC
    "${DATA_DIR}/com.lomiri.connectivity1.Modem.xml"
    ModemInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_QT_SRC
    "${DATA_DIR}/com.lomiri.connectivity1.Sim.xml"
    SimInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_QT_SRC
    "${DATA_DIR}/com.lomiri.connectivity1.vpn.VpnConnection.xml"
    VpnConnectionInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_QT_SRC
    "${DATA_DIR}/com.lomiri.connectivity1.vpn.VpnConnection.OpenVpn.xml"
    OpenVpnConnectionInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_QT_SRC
    "${DATA_DIR}/com.lomiri.connectivity1.vpn.VpnConnection.Pptp.xml"
    PptpConnectionInterface
)

qt5_add_dbus_interface(
    CONNECTIVITY_QT_SRC
    "${DATA_DIR}/org.freedesktop.DBus.Properties.xml"
    PropertiesInterface
)

add_library(
    ${CONNECTIVITY_QT_LIB_TARGET}
    SHARED
    ${CONNECTIVITY_QT_SRC}
    ${PUBLIC_HEADERS} # public headers have to be included here for Q_DECL_EXPORT to work properly
)

target_link_libraries(
    ${CONNECTIVITY_QT_LIB_TARGET}
    Qt5::Core
    Qt5::DBus
)

target_link_libraries(
    ${CONNECTIVITY_QT_LIB_TARGET}
    qdbus-stubs
)

set(SO_VERSION ${CONNECTIVITY_QT_VERSION_MAJOR})
set_target_properties(
    ${CONNECTIVITY_QT_LIB_TARGET}
    PROPERTIES
    SOVERSION ${SO_VERSION}
    LINK_FLAGS "-Wl,--version-script,${SYMBOL_MAP}"
    LINK_DEPENDS "${SYMBOL_MAP}"
)

install(
    TARGETS ${CONNECTIVITY_QT_LIB_TARGET}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

set(PC_FILE_TARGET "${CMAKE_BINARY_DIR}/${CONNECTIVITY_QT_LIB_TARGET}.pc")
set(libdir "${CMAKE_INSTALL_FULL_LIBDIR}")
set(includedir "${CONNECTIVITY_QT_INCLUDE_DIR}")
set(ABSOLUTE_SO_FILE "${CMAKE_INSTALL_FULL_LIBDIR}/lib${CONNECTIVITY_QT_LIB_TARGET}.so.${SO_VERSION}")
configure_file("lomiri-connectivity-qt.pc.in" ${PC_FILE_TARGET} @ONLY)
install(
  FILES ${PC_FILE_TARGET}
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
)

=== debian/changelog ===
lomiri-indicator-network (1.0.0-1ubuntu1) lunar; urgency=medium

  * debian/liblomiri-connectivity-qt1-1.symbols:
    + Remove. Upstream is C++ and does not aggressively manage their symbol
      visibility, so the symbols files are unhelpfully compiler-version-,
      architecture-, and compiler-option-specific.
      The debhelper-compat 13 default of -VUpstream-Version is sufficient.
  * debian/rules:
  * debian/control:
    + Drop pkgkde_symbolshelper; no longer useful to (try to) manage the
      symbols.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 04 Apr 2023 17:27:49 +1000

lomiri-indicator-network (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Start watching upstream releases.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/docs:
    + Adjust to renamed/removed README files.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 02:41:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lomiri-indicator-network
 Section: misc
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <marius@ubports.com>,
@@ -35,8 +36,7 @@
                qttools5-dev-tools,
                valgrind-if-available,
                systemd [linux-any],
-               pkg-kde-tools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-indicator-network.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-indicator-network

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

NULL =

include /usr/share/dpkg/default.mk

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk

ENABLE_TESTS = ON
ifneq (,$(filter $(DEB_HOST_ARCH),arm64 s390x powerpc ppc64el))
        ENABLE_TESTS = OFF
endif

%:
	dh $@

override_dh_install:
	# drop upstart files
	rm -Rfv debian/tmp/usr/share/upstart/
	# empty directory
	rmdir debian/tmp/usr/share/doc/lomiri-connectivity-doc/qml/html/images/
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_TESTS=${ENABLE_TESTS} \
	                     $(NULL)

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
